Subject: Summary: 2GB Scratch file limit in G98 on Linux/i386

From: Constanza Cardenas <[email-masked]>
Date: Fri, 16 May 2003 16:47:17 -0500 (CDT)

Hi all,
Thank you very much for your responses, and indeed the
solution is in the manual. I didn't know about the
limit because I was working on a silicon graphics
before.

As a summary the RWF files must be split into various
files with a size limit of approximately 2GB with the
command:
%RWF=file1,1960MB,file2,1960MB, etc...

Thanks to David, Michael, Elmar, Olivier, Anselm,
Daniel, Ian, Krzysztof and Bryan 

Constanza.

My original question was:
> We are using G98 Rev A.11 compiled with gcc-2.96
> (linux/i386 2.4.18). However, the scratch files
cannot
> grow beyond a 2GB limit. Apparently, SEEK uses 32
bit
> integers and this causes the file size limit.
>
> How have any of you overcome this scratch file size
> limit?

Here is a summary of the responses
-------------------------------------------------------------------------------------------------------------------------------------------
Hi Constanza,
You could try the %rwf command.
i.e.
%mem=2MW
%rwf=/home/file1.rwf,2GB,/home/file2.rwf,2GB
#HF/......

See if this works.
Daniel
-----------------------------------------------------------------------------------------------------------------------------------------
1. Go to http://www.google.com
2. Enter "2GB Scratch file limit in G98 on Linux" into
the text box
3. Hit 'I feel lucky'
4. Read the directions

Hope that helps,

Michael
------------------------------------------------------------------------
Hello Constanza,

With Gaussian, this is not possible on LINUX i386
systems (as far as I know).
You can use multiple files, described in the G98
Manual , section: link 0
commands

E.g.:  %scr=file1,1800MB,file2,1800MB

Such a line is limited to a specific length, I guess
about 80 
characters...
You'll find much mails with this topic in the CCL
archive.

Even G03 doesn't overcome the 2Gb/file limitation, but
the lines may be 
longer 
:-(

Hope that helps
Bye
Elmar
----------------------------------------------------------------------------
Hello,
to overcome this problem you need to specifie that
your temp files are
splitted in several ones smaller than 2GB.
Here is a g98 input where the temp files are splitted
in 3 files of 
1950MB
named f1; f2 and f3:
--------
%chk=yourch
%rwf=f1,1950MB,f2,1950MB,f3,1950MB
# your G98 input
name of the Job
Charge Mult.
....
....
It should run.
Hasta Luego
Best regards
------------------
Dr Olivier Maresca
-----------------------------------------------------------------------------------------------------
Hi Constanza,
split your rwf files as described in the Gaussian
manual.
In A.11 the line size was extended to 512 (?)
characters, so you can 
easily use
several scratch files.
We successfully applied this technique for up to eight
separate rwf 
files with
240 MW.
Note, that those files are kept by default after the
calculation's 
completion.
You may specify %nosave
(see the manual !!) to delete all (temporary) files
stated in the input 
> from
the first to the %nosave line.
Good (keeps chk file):
%rwf=...
%nosave
%chk=...

Bad (also deletes chk file):
%rwf=...
%chk=...
%nosave

However, have a look into the manual, it's all
described in there.

I hope, this helps.

Anselm
----------------------------------------------------------------------------------
Page 18 of the Gaussian manual tells you what to do.
You need to save the .rwf files in temporary storage
with a 
statement like  %rwf=a,1960mb,b,1960mb,c,1960mb, etc.
you can go out to g,1960mb, which will give you nearly
16gbytes.  For some reason it doesn't work too well 
if you stretch each file to the full 200mb.  This was
discussed on the CCL some time ago, but I can't
remember
when.

"Close, David M." <[email-masked]>
-----------------------------------------------------------------
I came accross this a few weeks back.
In the route section you can insert information that
tells gaussian to 
split
the rwf scratch file into smaller sizes. I.e.
%rwf=a.rwf,200MW,b.rwf,200MW,c.rwf,200MW
etc.
This will split the rwf file into three files each of
200MW size or 
200*8000
approx.bytes. I have found that you can create upto 7
files in this 
way. I
have read somewhere that you can create 8 but on doing
so I have found 
that
gaussian starts to misbehave.
I hope this helps.
Ian Hovell - Ph.D. 
---------------------------------------------------------------------
Hi,
I had the same problme some time ago.
You should put into input file a line like this:

%rwf=/???/short_file_name, 1990MB,
/???/short_file_name,1990MB,
/???/short_file_name, -1

where:
??? - path to your scratch directory
short_file_name - any filename; if it is short you can
write more
All must be in one line.

Have a nice day,
Krzysztof
---------------------------------------------------------------------------------
You can break up the file into multiple 2GB pieces, up
to a maximum of
16MB. For example,

%Rwf=/tmp/g1,2000MB,/tmp/g2,2000MB, ..., /tmp/g8,-1

Note that a specification of 2GB is a bit too large
and will not work,
thus the 2000MB.

Bryan
------------------------------------------------------------------

_________________________________________________________
Do You Yahoo!?
Información de Estados Unidos y América Latina, en Yahoo! Noticias.
Visítanos en http://noticias.espanol.yahoo.com